org.bouncycastle.bcpg

## Class InputStreamPacket

- java.lang.Object
- - org.bouncycastle.bcpg.Packet
  - - org.bouncycastle.bcpg.InputStreamPacket

All Implemented Interfaces:
  PacketTags

Direct Known Subclasses:
  CompressedDataPacket, LiteralDataPacket, SymmetricEncDataPacket, SymmetricEncIntegrityPacket

    public class InputStreamPacket
    extends Packet

### Field Summary

### Fields inherited from interface org.bouncycastle.bcpg.PacketTags

`COMPRESSED_DATA, EXPERIMENTAL_1, EXPERIMENTAL_2, EXPERIMENTAL_3, EXPERIMENTAL_4, LITERAL_DATA, MARKER, MOD_DETECTION_CODE, ONE_PASS_SIGNATURE, PUBLIC_KEY, PUBLIC_KEY_ENC_SESSION, PUBLIC_SUBKEY, RESERVED, SECRET_KEY, SECRET_SUBKEY, SIGNATURE, SYM_ENC_INTEGRITY_PRO, SYMMETRIC_KEY_ENC, SYMMETRIC_KEY_ENC_SESSION, TRUST, USER_ATTRIBUTE, USER_ID`

### Constructor Summary

Constructors
Constructor and Description
`InputStreamPacket(BCPGInputStream in)`

### Method Summary

Methods
`BCPGInputStream` `getInputStream()` Note: you can only read from this once...

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InputStreamPacket

    public InputStreamPacket(BCPGInputStream in)

### Method Detail

#### getInputStream

    public BCPGInputStream getInputStream()

Note: you can only read from this once...

Returns:
  the InputStream